Quantcast
What if will not update libAsync in Stonethorns? - ESOUI
Thread Tools Display Modes
08/20/20, 05:00 PM   #1
Marazota
AddOn Author - Click to view addons
Join Date: Sep 2015
Posts: 232
What if will not update libAsync in Stonethorns?

hey guys so there is a dilemma
old usefull addon only works with old version of libAsync

but new usefull addons now have dependancy of new version of libAsync

i tried to fix old addon but without success (author mia also)
if i will continue to use old libAsync and old votan's minimap, and old versions of other addons that will be changed to use new libAsync, they all will work with new DLC that coming soon?
or will be various issues
  Reply With Quote
08/21/20, 02:16 AM   #2
sirinsidiator
 
sirinsidiator's Avatar
AddOn Author - Click to view addons
Join Date: Apr 2014
Posts: 1,479
Originally Posted by Marazota
hey guys so there is a dilemma
old tasty cake recipe only works with old version of some confectionery

but new tasty cake recipes now have dependency of new version of confectionery

i tried to update old cake recipe but without success (chef mia also)
if i will continue to use old confectionery and old votan's cake, and old versions of other recipes that will be changed to use new confectionery, they all will work out with new season that coming soon?
or will be various issues
(That's what it sounds like to me - or maybe I'm just craving some cake?)
The answer is - it may work or maybe not, but most likely it won't work for long. DLC updates always change lots of things and have many effects on addons. Not updating your addons will cause issues one way or another. If you plan to not update your addons you also have to be aware that you should not expect help with any problems you get. Authors will always expect you to use the latest version of all addons, so if you try to report a problem you get with older versions, they will without a doubt turn you away until you update.
__________________
https://www.imperialtradingcompany.eu/ - My Addons - The Vault (Early updates and experimental projects) - My patreon - My blog
>siri.exe MyAddon
Does your addon work? [y/n] n
There is a typo in there.
  Reply With Quote
08/21/20, 03:53 PM   #3
Rhyono
AddOn Author - Click to view addons
Join Date: Sep 2016
Posts: 660
A potential workaround would be to rename the old version of LibAsync and then call the renamed version of it on the addons that can't work with the new version. Potentially would avoid conflicts, but as has already been said: any issues you encounter with some rigged together group of outdated addons will eventually break and no one will be likely to fix them. It becomes a matter of how much effort you want to put into continuing to use them a little bit longer versus moving on.
  Reply With Quote
08/22/20, 12:19 AM   #4
Marazota
AddOn Author - Click to view addons
Join Date: Sep 2015
Posts: 232
i found solution, working with new libAsync, but everything else remains the same in the addon, libStub and old libEventHandler

i hope those two libs will work well
  Reply With Quote

ESOUI » AddOns » AddOn Help/Support » What if will not update libAsync in Stonethorns?

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off